Details

    • Type: Bug
    • Status: Open (View Workflow)
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: tools-2.4.0
    • Fix Version/s: None
    • Component/s: tooling
    • Labels:
      None

      Description

      Incorrect version of ActiveMQ is added to pom.xml.

      1. Create new SY project with 2.1.0.redhat-630262
      2. Add Camel XML
      3. Open the route and add Active MQ
      4. The following dependencies are added to pom.xml

          <dependency>
            <groupId>org.apache.activemq</groupId>
            <artifactId>activemq-camel</artifactId>
            <version>5.11.0.redhat-000015</version>
          </dependency>
          <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-jms</artifactId>
            <version>2.17.0.redhat-630262</version>
          </dependency>
      

      Now, add Active MQ in a pure Fuse project and you will see the correct dependencies

      
          <dependency>
            <groupId>org.apache.activemq</groupId>
            <artifactId>activemq-camel</artifactId>
            <version>5.11.0.redhat-630262</version>
          </dependency>
          <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-jms</artifactId>
            <version>2.17.0.redhat-630262</version>
          </dependency>
      

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                apodhrad Andrej Podhradsky
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated: